Support for BlackBerry Smart Card Reader versions 1.0 and 2.0

Article ID: KB21938

Type: Support Content

Last Modified: 09-30-2014

 

Product(s) Affected:

  • S/MIME Support Package for BlackBerry smartphones
  • BlackBerry Smart Card Reader
CollapseEnvironment
  • BlackBerry Smart Card Reader 2.0 hardware
  • BlackBerry Smart Card Reader 1.0 hardware
  • BlackBerry Smart Card Reader software version 2.x
  • BlackBerry Smart Card Reader software version 1.5.x
CollapseOverview

This article outlines requirements when setting up a BlackBerry Smart Card Reader with any compatible BlackBerry smartphone.

CollapseCause

If the incorrect version of BlackBerry Smart Card Reader software is installed on the BlackBerry smartphone and BlackBerry Card Reader, the two components will not be able to Bluetooth pair and the following error message will be displayed:

  • BlackBerry and BlackBerry Smart Card Reader versions do not match.
CollapseResolution

For BlackBerry Smart Card Reader hardware version 2.0, ensure that the same version of BlackBerry Smart Card Reader Software v2.0.x is installed on both the BlackBerry Smartphone and BlackBerry Smart Card Reader.

For BlackBerry Smart Card Reader hardware version 1.0, ensure that the same version of BlackBerry Smart Card Reader Software v1.5.x is installed on both the BlackBerry Smartphone and BlackBerry Smart Card Reader.

The software can be downloaded from here and following the steps below:

  1. Select the appropriate BlackBerry Smart Card Reader v2 or BlackBerry Smart Card Reader v1 software.
  2. Click Next.
  3. Download the appropriate English or Multilanguage version.
CollapseAdditional Information

The use of BlackBerry Smart Card Reader version 2.x with BlackBerry 10 smartphones is supported.

BlackBerry Smart Card Reader version 2.x reached End of Life in 2013 and is no longer available.

Alternative Smart Card Readers are available from third party vendors.

The Bluetooth Smart Card Reader from Biometric Associates Inc. (BAI) supports BlackBerry devices with BlackBerry OS 7.1 earlier and may be downloaded from BlackBerry World. The BAI Smart Card Reader does not currently support BlackBerry 10 smartphones. For more information, see:

https://www.biometricassociates.com/products/smart-card-readers/3000mp-reader/

Disclaimer

By downloading, accessing or otherwise using the Knowledge Base documents you agree:

   (a) that the terms of use for the documents found at www.blackberry.com/legal/knowledgebase apply to your use or reference to these documents; and

   (b) not to copy, distribute, disclose or reproduce, in full or in part any of the documents without the express written consent of RIM.


Visit the BlackBerry Technical Solution Center at www.blackberry.com/btsc.